[SciPy-user] Scipy Linear Algebra functions

Mark Treiber mtreiber at gmail.com
Sun Mar 27 12:44:13 CST 2005


Hi Greg.  I had the same problem a couple of weeks ago but solved it
pretty easily.  Looking through the fink package it appears that the
scipy setup.py script has been modified so that scipy_distutils is
supposed to be installed with f2py instead of scipy.  A separate
scipy_distutils tgz should have been downloaded when f2py was
installed.  Simply unpack it and run the setup script accordingly and
it should install and work.  The command I used was something like
"/sw/bin/python2.3 setup.py install".

Mark.

On Wed, 23 Mar 2005 20:44:12 -0800, Greg Novak <novak at ucolick.org> wrote:
> I get the following traceback when using Scipy 0.3.2 on Mac OSX 10.3.
> The Fink package I'm using is numbered: 1:0.3.2-2.  Any suggestions
> are appreciated.
> 
> Thanks!
> Greg
> 
> In [25]: linalg.inv([[1,0],[0,1]])
> ---------------------------------------------------------------------------
> PPImportError                             Traceback (most recent call
> last)
> 
> /Users/novak/Projects/Thesis/<console>
> 
> /sw/lib/python2.3/site-packages/scipy_base/ppimport.py in
> __getattr__(self, name)
>     301             module = self.__dict__['_ppimport_module']
>     302         except KeyError:
> --> 303             module = self._ppimport_importer()
>     304         return getattr(module, name)
>     305
> 
> /sw/lib/python2.3/site-packages/scipy_base/ppimport.py in
> _ppimport_importer(self)
>     260             exc_info = self.__dict__.get('_ppimport_exc_info')
>     261             if exc_info is not None:
> --> 262                 raise PPImportError,\
>     263
>     ''.join(traceback.format_exception(*exc_info))
>     264             else:
> 
> PPImportError: Traceback (most recent call last):
>   File "/sw/lib/python2.3/site-packages/scipy_base/ppimport.py", line
>   273, in _ppimport_importer
>     module = __import__(name,None,None,['*'])
>   File "/sw/lib/python2.3/site-packages/scipy/linalg/__init__.py",
>   line 8, in ?
>     from basic import *
>   File "/sw/lib/python2.3/site-packages/scipy/linalg/basic.py", line
>   13, in ?
>     from flinalg import get_flinalg_funcs
>   File "/sw/lib/python2.3/site-packages/scipy/linalg/flinalg.py", line
>   7, in ?
>     from scipy_distutils.misc_util import PostponedException
> ImportError: No module named scipy_distutils.misc_util
> 
> _______________________________________________
> SciPy-user mailing list
> SciPy-user at scipy.net
> http://www.scipy.net/mailman/listinfo/scipy-user
>



More information about the SciPy-user mailing list